Alokai
You are reading the documentation for v7.x and earlier, which is no longer the latest version. Switch to v8.x

createUserAddress

Create new customer address in SAP Commerce Cloud.

This method exchanges data with the createAddress endpoint exposed by the SAP OCC API Address Controller.

The method creates an address for a customer based on the vsf-sap-token cookie (which is assigned to that customer). The cookie must be present in the request for the method to work properly.

SAP Commerce's doesn't allow setting "district" field in the newly created address. If you want to find workaround for this problem, check Limitations page in our documentation.

Signature

export declare function createUserAddress(
	context: SapccIntegrationContext,
	props: CreateAddressProps
): Promise<Address>;

Parameters

NameRequiredTypeDescription
contextRequiredSapccIntegrationContext
propsRequiredCreateAddressPropsParameter object which can be used with this method. Refer to its type definition to learn about possible properties.

Returns

Returns a representation of an Address.

Referenced Types

Examples

Creating a customer address.

import { sdk } from '~/sdk';
import { CreateAddressProps } from '@vsf-enterprise/sapcc-types';

const props: CreateAddressProps = {
  address: {
    firstName: 'Integration',
    lastName: 'Test',
    line1: 'Test',
    postalCode: '54-025',
    titleCode: 'mr',
    country: { isocode: 'GB' },
    town: 'Radom'
  }
};

const address = await sdk.commerce.createUserAddress(props);

Creating a customer address and selecting response fields.

import { sdk } from '~/sdk';
import { CreateAddressProps } from '@vsf-enterprise/sapcc-types';

const props: CreateAddressProps = {
  address: {
    firstName: 'Integration',
    lastName: 'Test',
    line1: 'Test',
    postalCode: '54-025',
    titleCode: 'mr',
    country: { isocode: 'GB' },
    town: 'Radom'
  },
  fields: 'firstName,lastName'
};

const address = await sdk.commerce.createUserAddress(props);

On this page